## plasma-discover 5.14.5.1

=== libdiscover/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libdiscover\")

add_subdirectory(backends)
add_subdirectory(notifiers)
add_subdirectory(tests)

set(discovercommon_SRCS
    Category/Category.cpp
    Category/CategoryModel.cpp
    Category/CategoriesReader.cpp
    ReviewsBackend/AbstractReviewsBackend.cpp
    ReviewsBackend/Rating.cpp
    ReviewsBackend/Review.cpp
    ReviewsBackend/ReviewsModel.cpp
    Transaction/AddonList.cpp
    Transaction/Transaction.cpp
    Transaction/TransactionListener.cpp
    Transaction/TransactionModel.cpp
    UpdateModel/UpdateItem.cpp
    UpdateModel/UpdateModel.cpp
    resources/ResourcesModel.cpp
    resources/ResourcesProxyModel.cpp
    resources/PackageState.cpp
    resources/ResourcesUpdatesModel.cpp
    resources/StandardBackendUpdater.cpp
    resources/SourcesModel.cpp
    resources/AbstractResourcesBackend.cpp
    resources/AbstractResource.cpp
    resources/AbstractBackendUpdater.cpp
    resources/AbstractSourcesBackend.cpp
    resources/StoredResultsStream.cpp
    CachedNetworkAccessManager.cpp
    ActionsModel.cpp
    DiscoverBackendsFactory.cpp
    ScreenshotsModel.cpp
    ApplicationAddonsModel.cpp
)

ecm_qt_declare_logging_category(discovercommon_SRCS HEADER libdiscover_debug.h IDENTIFIER LIBDISCOVER_LOG CATEGORY_NAME org.kde.plasma.libdiscover)

if(AppStreamQt_FOUND)
    set(discovercommon_SRCS ${discovercommon_SRCS}
        appstream/OdrsReviewsBackend.cpp
        appstream/AppStreamIntegration.cpp
    )
endif()

add_library(DiscoverCommon ${discovercommon_SRCS})

target_link_libraries(DiscoverCommon
LINK_PUBLIC
    Qt5::Core
    Qt5::Qml
    Qt5::Widgets
    KF5::I18n
    KF5::ItemModels
LINK_PRIVATE
    Qt5::Xml
    KF5::KIOCore
    KF5::CoreAddons
)
add_library(Discover::Common ALIAS DiscoverCommon)

generate_export_header(DiscoverCommon)

target_include_directories(DiscoverCommon PRIVATE ${PHONON_INCLUDES} PUBLIC ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

install(TARGETS DiscoverCommon DESTINATION ${CMAKE_INSTALL_LIBDIR}/plasma-discover)
install(FILES resources/discoverabstractnotifier.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

=== libdiscover/backends/FlatpakBackend/CMakeLists.txt ===
add_subdirectory(tests)

set(flatpak-backend_SRCS
    FlatpakResource.cpp
    FlatpakBackend.cpp
    FlatpakFetchDataJob.cpp
    FlatpakSourcesBackend.cpp
    FlatpakJobTransaction.cpp
    FlatpakTransactionThread.cpp
)

add_library(flatpak-backend MODULE ${flatpak-backend_SRCS})
target_link_libraries(flatpak-backend Qt5::Core Qt5::Widgets Qt5::Concurrent KF5::CoreAddons KF5::ConfigCore Discover::Common AppStreamQt PkgConfig::Flatpak)

install(TARGETS flatpak-backend DESTINATION ${PLUGIN_INSTALL_DIR}/discover)
install(FILES flatpak-backend-categories.xml DESTINATION ${DATA_INSTALL_DIR}/libdiscover/categories)

add_library(FlatpakNotifier MODULE FlatpakNotifier.cpp)
target_link_libraries(FlatpakNotifier Discover::Notifiers Qt5::Concurrent PkgConfig::Flatpak)
set_target_properties(FlatpakNotifier PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/plasma-discover)

install(TARGETS FlatpakNotifier DESTINATION ${PLUGIN_INSTALL_DIR}/discover-notifier)
install(PROGRAMS org.kde.discover-flatpak.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install(FILES org.kde.discover.flatpak.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

ecm_install_icons(
    ICONS
        sc-apps-flatpak-discover.svg
    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)

=== libdiscover/backends/KNSBackend/CMakeLists.txt ===
add_subdirectory(tests)

add_library(kns-backend MODULE
    KNSBackend.cpp
    KNSResource.cpp
    KNSReviews.cpp)

target_link_libraries(kns-backend Discover::Common KF5::ConfigCore KF5::Attica KF5::NewStuffCore KF5::WidgetsAddons Qt5::Xml)

install(TARGETS kns-backend DESTINATION ${PLUGIN_INSTALL_DIR}/discover)
install(FILES custom/discover_ktexteditor_codesnippets_core.knsrc DESTINATION ${KDE_INSTALL_CONFDIR})

=== debian/changelog ===
plasma-discover (5.14.5.1-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 12:07:25 +0800

plasma-discover (5.14.5.1-1) unstable; urgency=medium

  * New upstream bugfix release (5.14.5.1).
    - Set parent on newly created fwupd resource (baac08a4)
      Fixes upstream bug 402328 (https://bugs.kde.org/show_bug.cgi?id=402328)
    - Add a timeout for KNS backends (003fc9fc)
      Fixes upstream bug 399981 (https://bugs.kde.org/show_bug.cgi?id=399981)
    - Translations update (125dca7b)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 13 Feb 2019 18:39:04 +0100

plasma-discover (5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:26:05 -0300

plasma-discover (5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:51:04 -0300

=== debian/control ===
Source: plasma-discover
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Matthias Klumpp <mak@debian.org>,
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.50.0~),
               kirigami2-dev (>= 5.42),
               libappstreamqt-dev (>= 0.10.3),
               libdebconf-kde-dev (>= 1.0.0),
               libflatpak-dev (>= 0.10.2),
               libkf5archive-dev (>= 5.50.0~),
               libkf5attica-dev (>= 5.23~),
               libkf5config-dev (>= 5.50.0~),
               libkf5configwidgets-dev (>= 5.16.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5crash-dev (>= 5.50.0~),
               libkf5dbusaddons-dev (>= 5.50.0~),
               libkf5declarative-dev (>= 5.42~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5iconthemes-dev (>= 5.16.0~),
               libkf5itemmodels-dev (>= 5.50.0~),
               libkf5itemviews-dev (>= 5.16.0~),
               libkf5kdelibs4support-dev (>= 5.34.0~),
               libkf5kio-dev (>= 5.50.0~),
               libkf5newstuff-dev (>= 5.23~),
               libkf5notifications-dev (>= 5.16.0~),
               libkf5plasma-dev (>= 5.16.0~),
               libkf5solid-dev (>= 5.16.0~),
               libkf5textwidgets-dev,
               libkf5wallet-dev (>= 5.16.0~),
               libkf5widgetsaddons-dev (>= 5.16.0~),
               libkf5xmlgui-dev (>= 5.50.0~),
               libpackagekitqt5-dev (>= 1.0.1),
               libqca-qt5-2-dev,
               libqt5svg5-dev (>= 5.4.0~),
               libsnapd-qt-dev (>= 1.30),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/discover
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-discover
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-discover.git

Package: plasma-discover
Architecture: any
Depends: appstream (>= 0.8),
         apt-config-icons,
         packagekit (>= 1.0),
         plasma-discover-common (= ${source:Version}),
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kirigami2 (>= 5.42),
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-qqc2desktopstyle,
         qml-module-qtquick-dialogs,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libmuon (<< 4:5.6),
        muon-discover (<< 4:5.5.3a),
        muon-notifier (<< 4:5.5.3a),
        muon-updater (<< 4:5.5.3a),
        plasma-discover-common (<< 5.7.0),
        plasma-discover-private (<< 5.7.0),
        plasma-discover-updater (<< 5.7.0),
Replaces: libmuon (<< 4:5.6),
          muon-discover (<< 4:5.5.3a),
          muon-notifier (<< 4:5.5.3a),
          muon-updater (<< 4:5.5.3a),
          plasma-discover-common (<< 5.7.0),
          plasma-discover-private (<< 5.7.0),
          plasma-discover-updater (<< 5.7.0),
Recommends: apt-config-icons-large, software-properties-kde
Suggests: apt-config-icons-hidpi, plasma-discover-backend-flatpak
Description: Discover software management suite
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 By allowing to navigate a software library by search, categories, top lists
 along with detailed application information that includes screenshots
 and reviews, users can more quickly find applications that suit their needs.
 .
 Discover will also keep the system up to date by notifying about updates and
 installing them.

Package: plasma-discover-backend-flatpak
Architecture: any
Depends: flatpak,
         plasma-discover (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Discover software management suite - Flatpak backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Flatpak application
 bundling system.

Package: plasma-discover-backend-snap
Architecture: any
Depends: plasma-discover (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: snapd
Description: Discover software management suite - Snap backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Ubuntu Core Snappy application
 bundling system.

Package: plasma-discover-common
Architecture: all
Depends: ${misc:Depends}
Breaks: muon-common (<< 4:5.5.3a),
        plasma-discover (<< 5.7.0-2),
        plasma-discover-private (<< 5.7.0),
        plasma-discover-updater (<< 5.7.0),
Replaces: muon-common (<< 4:5.5.3a),
          plasma-discover (<< 5.7.0-2),
          plasma-discover-private (<< 5.7.0),
          plasma-discover-updater (<< 5.7.0),
Description: Discover software manager suite (common data files)
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the
 Discover suite.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_VERSION_UPSTREAM_REVISION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | sed -e 's/^[0-9]*://')

PLASMA_DISCOVER_FLAGS = -DBUILD_FlatpakBackend=ON \
			-DBUILD_SnapBackend=ON

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- $(PLASMA_DISCOVER_FLAGS)

# Do not pull plugins into the shlibs file, it makes lintian angry.
# This happens because dh_makeshlibs will look for sonames matching
# (.*)-(.*)\.so where it assumes \1 is the library name and \2 is the version.
# This will then assume that libfoo-backend.so has name 'libfoo' and version
# 'backend' which makes for bogus, pointless, silly shlibs entries.
# Couldn't be bothered to report this - sitter, 2015
override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/discover* -V

override_dh_missing:
	dh_missing --fail-missing

# FIXME: tests are broken at time
override_dh_auto_test:
	:

## plasma-discover 5.15.4

=== debian/changelog ===
plasma-discover (5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:08:40 +0100

plasma-discover (5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:08:08 +0000

plasma-discover (5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:11:41 +0000

plasma-discover (5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:32:39 +0000

plasma-discover (5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:52:12 +0000

plasma-discover (5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:23:30 +0000

plasma-discover (5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:47:32 +0000

plasma-discover (5.14.4-0ubuntu1) disco; urgency=medium

  * Install debug categories file.
  * Don't build FwupdBackend for backports until better tested.
  * New upstream release (5.13.90)
  * Drop upstream applied patches:
    - upstream_fix-sources-editor-menu.patch
    - upstream_software-properties-qt.patch
    - upstream_fix-showing-update-notification.patch
    - upstream_fix-missing-backends.patch
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * Install flatpak-discover.svgz to its backend package.
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:14:36 +0000

plasma-discover (5.13.5-1ubuntu7) disco; urgency=medium

  * Backport upstream patch ensuring that snap installation transactions
    correctly register as finished in the UI. (LP: #1801863)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 08 Nov 2018 11:02:49 +0000

=== debian/control ===
Source: plasma-discover
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Matthias Klumpp <mak@debian.org>,
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               kirigami2-dev (>= 5.54.0~),
               libappstreamqt-dev (>= 0.10.3),
               libdebconf-kde-dev (>= 1.0.0),
               libflatpak-dev (>= 0.10.2),
               libkf5archive-dev (>= 5.54.0~),
               libkf5attica-dev (>= 5.54.0~),
               libkf5config-dev (>= 5.54.0~),
               libkf5configwidgets-dev (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5crash-dev (>= 5.54.0~),
               libkf5dbusaddons-dev (>= 5.54.0~),
               libkf5declarative-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5iconthemes-dev (>= 5.54.0~),
               libkf5itemmodels-dev (>= 5.54.0~),
               libkf5itemviews-dev (>= 5.54.0~),
               libkf5kdelibs4support-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5newstuff-dev (>= 5.54.0~),
               libkf5notifications-dev (>= 5.54.0~),
               libkf5plasma-dev (>= 5.54.0~),
               libkf5solid-dev (>= 5.54.0~),
               libkf5textwidgets-dev (>= 5.54.0~),
               libkf5wallet-dev (>= 5.54.0~),
               libkf5widgetsaddons-dev (>= 5.54.0~),
               libkf5xmlgui-dev (>= 5.54.0~),
               libpackagekitqt5-dev (>= 1.0.1),
               libqca-qt5-2-dev,
               libqt5svg5-dev (>= 5.6.1~),
               libsnapd-qt-dev (>= 1.30),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.10.0~),
               qtdeclarative5-dev (>= 5.10.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/discover
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover

Package: plasma-discover
Architecture: any
Depends: appstream (>= 0.8),
         apt-config-icons,
         apt-config-icons-hidpi,
         apt-config-icons-large,
         apt-config-icons-large-hidpi,
         packagekit (>= 1.0),
         plasma-discover-common (= ${source:Version}),
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kirigami2 (>= 5.42),
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-qqc2desktopstyle,
         qml-module-qtquick-dialogs,
         ubuntu-release-upgrader-qt,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: plasma-discover-snap-backend, software-properties-qt
Breaks: libmuon (<< 4:5.6),
        muon-discover (<< 4:5.5.3a),
        muon-notifier (<< 4:5.5.3a),
        muon-updater (<< 4:5.5.3a),
        plasma-discover-common (<< 5.7.0),
        plasma-discover-private (<< 5.7.0),
        plasma-discover-updater (<< 5.7.0),
Replaces: libmuon (<< 4:5.6),
          muon-discover (<< 4:5.5.3a),
          muon-notifier (<< 4:5.5.3a),
          muon-updater (<< 4:5.5.3a),
          plasma-discover-common (<< 5.7.0),
          plasma-discover-private (<< 5.7.0),
          plasma-discover-updater (<< 5.7.0),
Description: Discover software management suite
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 By allowing to navigate a software library by search, categories, top lists
 along with detailed application information that includes screenshots
 and reviews, users can more quickly find applications that suit their needs.
 .
 Discover will also keep the system up to date by notifying about updates and
 installing them.

Package: plasma-discover-common
Architecture: all
Depends: ${misc:Depends}
Breaks: muon-common (<< 4:5.5.3a),
        plasma-discover (<< 5.7.0-2),
        plasma-discover-private (<< 5.7.0),
        plasma-discover-updater (<< 5.7.0),
Replaces: muon-common (<< 4:5.5.3a),
          plasma-discover (<< 5.7.0-2),
          plasma-discover-private (<< 5.7.0),
          plasma-discover-updater (<< 5.7.0),
Description: Discover software manager suite (common data files)
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the
 Discover suite.

Package: plasma-discover-flatpak-backend
Architecture: any
Depends: flatpak,
         plasma-discover (= ${binary:Version}),
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Discover software management suite - Flatpak backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Flatpak application
 bundling system.

Package: plasma-discover-snap-backend
Architecture: any
Depends: plasma-discover (= ${binary:Version}),
         snapd,
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Discover software management suite - Snap backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Ubuntu Core Snappy application
 bundling system.

## plasma-discover 5.16.5

=== debian/changelog ===
plasma-discover (5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:23:19 +0100

plasma-discover (5.16.4-0ubuntu1) eoan; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Prepare the packaging for package renaming, following debian names:
    - add "new" package plasma-discover-backend-flatpak
    - add "new" package plasma-discover-backend-snap
    - add transitional dummy package plasma-discover-flatpak-backend
    - add transitional dummy package plasma-discover-snap-backend
    - adjust debian/rules for the renaming

  [ Rik Mills ]
  * New upstream release (5.16.4)
  * Update Breaks/Replaces.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:44:07 +0100

plasma-discover (5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)
  * debian/patches: fix-appstream-data.patch
    - Drop, applied upstream.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:21:28 +0100

plasma-discover (5.16.2-0ubuntu1) eoan; urgency=medium

  * Tweak appstream dependencies as latest is not required.
  * New upstream release (5.16.2)
  * debian/patches: fix-appstream-data.patch
    - Add to fix mistakenly malformed data in this release.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:22:21 +0100

plasma-discover (5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:22:45 +0100

plasma-discover (5.16.0-0ubuntu2) eoan; urgency=medium

  * No-change rebuild against flatpak v1.4.1, following reversion of ABI
    break.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 14 Jun 2019 05:08:19 +0100

plasma-discover (5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:35:08 +0100

plasma-discover (5.15.90-0ubuntu2) eoan; urgency=medium

  * Move dbus policy file to new location.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 21:44:56 +0100

plasma-discover (5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:48:14 +0100

plasma-discover (5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:47:10 +0100

=== debian/control ===
Source: plasma-discover
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Matthias Klumpp <mak@debian.org>,
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.58.0~),
               kirigami2-dev (>= 5.58.0~),
               libappstreamqt-dev (>= 0.10.3),
               libdebconf-kde-dev (>= 1.0.0),
               libflatpak-dev (>= 0.10.2),
               libkf5archive-dev (>= 5.58.0~),
               libkf5attica-dev (>= 5.58.0~),
               libkf5config-dev (>= 5.58.0~),
               libkf5configwidgets-dev (>= 5.58.0~),
               libkf5coreaddons-dev (>= 5.58.0~),
               libkf5crash-dev (>= 5.58.0~),
               libkf5dbusaddons-dev (>= 5.58.0~),
               libkf5declarative-dev (>= 5.58.0~),
               libkf5i18n-dev (>= 5.58.0~),
               libkf5iconthemes-dev (>= 5.58.0~),
               libkf5itemmodels-dev (>= 5.58.0~),
               libkf5itemviews-dev (>= 5.58.0~),
               libkf5kdelibs4support-dev (>= 5.58.0~),
               libkf5kio-dev (>= 5.58.0~),
               libkf5newstuff-dev (>= 5.58.0~),
               libkf5notifications-dev (>= 5.58.0~),
               libkf5plasma-dev (>= 5.58.0~),
               libkf5solid-dev (>= 5.58.0~),
               libkf5textwidgets-dev (>= 5.58.0~),
               libkf5wallet-dev (>= 5.58.0~),
               libkf5widgetsaddons-dev (>= 5.58.0~),
               libkf5xmlgui-dev (>= 5.58.0~),
               libpackagekitqt5-dev (>= 1.0.1),
               libqca-qt5-2-dev,
               libqt5svg5-dev (>= 5.6.1~),
               libsnapd-qt-dev (>= 1.30),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.10.0~),
               qtdeclarative5-dev (>= 5.10.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/discover
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover

Package: plasma-discover
Architecture: any
Depends: appstream (>= 0.8),
         apt-config-icons,
         apt-config-icons-hidpi,
         apt-config-icons-large,
         apt-config-icons-large-hidpi,
         libappstreamqt2,
         packagekit (>= 1.0),
         plasma-discover-common (= ${source:Version}),
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kirigami2 (>= 5.42),
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-qqc2desktopstyle,
         qml-module-qtquick-dialogs,
         ubuntu-release-upgrader-qt,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: plasma-discover-backend-snap, software-properties-qt
Breaks: libmuon (<< 4:5.6),
        muon-discover (<< 4:5.5.3a),
        muon-notifier (<< 4:5.5.3a),
        muon-updater (<< 4:5.5.3a),
        plasma-discover-common (<< 5.7.0),
        plasma-discover-private (<< 5.7.0),
        plasma-discover-updater (<< 5.7.0),
Replaces: libmuon (<< 4:5.6),
          muon-discover (<< 4:5.5.3a),
          muon-notifier (<< 4:5.5.3a),
          muon-updater (<< 4:5.5.3a),
          plasma-discover-common (<< 5.7.0),
          plasma-discover-private (<< 5.7.0),
          plasma-discover-updater (<< 5.7.0),
Description: Discover software management suite
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 By allowing to navigate a software library by search, categories, top lists
 along with detailed application information that includes screenshots
 and reviews, users can more quickly find applications that suit their needs.
 .
 Discover will also keep the system up to date by notifying about updates and
 installing them.

Package: plasma-discover-backend-flatpak
Architecture: any
Depends: flatpak,
         plasma-discover (= ${binary:Version}),
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-discover-flatpak-backend (<< 5.16.4~)
Replaces: plasma-discover-flatpak-backend (<< 5.16.4~)
Description: Discover software management suite - Flatpak backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Flatpak application
 bundling system.

Package: plasma-discover-backend-snap
Architecture: any
Depends: plasma-discover (= ${binary:Version}),
         snapd,
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-discover-snap-backend (<< 5.16.4~)
Replaces: plasma-discover-snap-backend (<< 5.16.4~)
Description: Discover software management suite - Snap backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Ubuntu Core Snappy application
 bundling system.

Package: plasma-discover-common
Architecture: all
Depends: ${misc:Depends}
Breaks: muon-common (<< 4:5.5.3a),
        plasma-discover (<< 5.7.0-2),
        plasma-discover-private (<< 5.7.0),
        plasma-discover-updater (<< 5.7.0),
Replaces: muon-common (<< 4:5.5.3a),
          plasma-discover (<< 5.7.0-2),
          plasma-discover-private (<< 5.7.0),
          plasma-discover-updater (<< 5.7.0),
Description: Discover software manager suite (common data files)
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the
 Discover suite.

Package: plasma-discover-flatpak-backend
Architecture: all
Section: oldlibs
Priority: optional
Depends: plasma-discover-backend-flatpak, ${misc:Depends}
Description: Discover Flatpak backend - transitional package
 This transitional package allows one to migrate to the renamed package
 providing the Plasma Discover Flatpak backend.
 .
 It can be safely removed after the installation.

Package: plasma-discover-snap-backend
Architecture: all
Section: oldlibs
Priority: optional
Depends: plasma-discover-backend-snap, ${misc:Depends}
Description: Discover Flatpak backend - transitional package
 This transitional package allows one to migrate to the renamed package
 providing the Plasma Discover Snap backend.
 .
 It can be safely removed after the installation.

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,11 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/discover* -V
 
+override_dh_shlibdeps:
+	dh_shlibdeps -pplasma-discover -- -xlibappstreamqt2
+	dh_shlibdeps -pplasma-discover-backend-flatpak -- -xlibappstreamqt2
+	dh_shlibdeps --remaining-packages
+
 override_dh_missing:
 	dh_missing --fail-missing
